Logging and debugguing

Classes and functions that are used for textual output. More...

## Data Structures

class | CFixedWidthOutput
| This class provides formatted writing to a text console. More...
class | CThreadMsgStream
| This class is used to handle syncronizized output of logging output in a multi-threaded environment. More...
class | streamredir
| base class to redirect output streams More...
class | vstream
| A output stream to enable certain levels of verbosity. More...

## Macros

#define | cverb ::mia::vstream::instance()
| define a shortcut to the raw output stream

## Functions

vstream & | cverr ()
| send errors to this stream adapter
vstream & | cvfail ()
| direct output to this stream adapter to print out failtures in tests beyond BOOST_FAIL
vstream & | cvfatal ()
| direct output to this stream adapter to print out fatalities in the code
vstream & | cvinfo ()
| informal output that may be of interest to understand problems with a program and are of higher priority then debugging output.
vstream & | cvmsg ()
| send messages to this stream adapter
vstream & | cvwarn ()
| send warnings to this stream adapter
template<typename T>
std::ostream & | operator<< (std::ostream &os, const std::vector< T > &v)
| implements the direct streaming of std::vectors.
void | set_verbose (bool verbose)

## Variables

EXPORT_CORE const TDictMap< vstream::Level > | g_verbose_dict
| Dictonary for the verbosity of the logging as used by –verbose comand line option.

## Detailed Description

Classes and functions that are used for textual output.

## Macro Definition Documentation

## cverb

#define cverb ::mia::vstream::instance()

define a shortcut to the raw output stream

Definition at line 341 of file msgstream.hh.

Referenced by create_plugin< Handler, Chained, chainable >::apply(), create_plugin< Handler, ProductChained, true >::apply(), kmeans_step(), and kmeans_step_with_fixed_centers().

## Function Documentation

## cverr()

vstream & cverr | ( |  | ) |

inline

send errors to this stream adapter

Definition at line 311 of file msgstream.hh.

References vstream::instance(), vstream::ml_error, and VSTREAM_DOMAIN.

Referenced by TFactory< P >::create().

## cvfail()

vstream & cvfail | ( |  | ) |

inline

direct output to this stream adapter to print out failtures in tests beyond BOOST_FAIL

Definition at line 301 of file msgstream.hh.

References vstream::instance(), vstream::ml_fail, and VSTREAM_DOMAIN.

Referenced by TFiltertestFixture< Image >::run().

## cvfatal()

vstream & cvfatal | ( |  | ) |

inline

direct output to this stream adapter to print out fatalities in the code

Definition at line 291 of file msgstream.hh.

References vstream::instance(), vstream::ml_fatal, and VSTREAM_DOMAIN.

## cvinfo()

vstream & cvinfo | ( |  | ) |

inline

informal output that may be of interest to understand problems with a program and are of higher priority then debugging output.

Definition at line 262 of file msgstream.hh.

References vstream::instance(), vstream::ml_info, and VSTREAM_DOMAIN.

Referenced by T3DVectorfield< C3DDVector >::get_voxel_size(), kmeans_step(), and kmeans_step_with_fixed_centers().

## cvmsg()

vstream & cvmsg | ( |  | ) |

inline

send messages to this stream adapter

Definition at line 331 of file msgstream.hh.

References vstream::instance(), vstream::ml_message, and VSTREAM_DOMAIN.

Referenced by create_plugin< Handler, Chained, chainable >::apply(), create_plugin< Handler, ProductChained, true >::apply(), and TWatershed< dim >::operator()().

## cvwarn()

vstream & cvwarn | ( |  | ) |

inline

send warnings to this stream adapter

Definition at line 321 of file msgstream.hh.

References vstream::instance(), vstream::ml_warning, and VSTREAM_DOMAIN.

Referenced by cmeans_update_class_centers(), and CAttributedData::get_attribute_as().

## operator<<()

template<typename T>

std::ostream & operator<< | ( | std::ostream & | os,
|  | const std::vector< T > & | v )

implements the direct streaming of std::vectors.

Definition at line 40 of file svector.hh.

## set_verbose()

void set_verbose | ( | bool | verbose | ) |

Parameters

  verbose | verbose state

Set the cverb ostream in a verbose/non verbose mode depending on the verbose parameter. Currently set_verbose() can be called only one time. If this function is never called the default state of cverb is non-verbose mode

## Variable Documentation

## g_verbose_dict

EXPORT_CORE const TDictMap<vstream::Level> g_verbose_dict

extern

Dictonary for the verbosity of the logging as used by –verbose comand line option.